WHICH(1)

NOM
which – Localiser une commande

SYNOPSIS
which [-as] filename ...

DESCRIPTION
which renvoie le chemin des fichiers (ou liens) qui seraient exécutés dans l'environnement courant si ses arguments avaient été donnés comme commandes dans un interpréteur de commandes strictement conforme à POSIX. Pour ce faire, which cherche dans la variable PATH les fichiers exécutables correspondant aux noms des arguments. which ne normalise pas les chemins.

OPTIONS

-a  affiche tous les chemins correspondant à chaque argument.

-s  silently return 0 if all of the executables were found or 1 otherwise

VALEUR DE RETOUR

0   si toutes les commandes spécifiées sont trouvées et exécutables.

1   si une (ou plusieurs) commande spécifiée n'existe pas ou n'est pas exécutable.

2   si une option non valable est spécifiée.

TRADUCTION
Ce document est une traduction, réalisée par Nicolas FRANÇOIS le 8 décembre 2005. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man. N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.